Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinNT.OSVERSIONINFOEX

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinNT.OSVERSIONINFOEX

Enclosing interface:
  WinNT

    public static class WinNT.OSVERSIONINFOEX

extends com.sun.jna.Structure

Contains operating system version information. The information includes major and minor version numbers, a build number, a platform identifier, and information about product suites and the latest Service Pack installed on the system.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`WinDef.DWORD` | `dwBuildNumber` The build number of the operating system.
`WinDef.DWORD` | `dwMajorVersion` The major version number of the operating system.
`WinDef.DWORD` | `dwMinorVersion` The minor version number of the operating system.
`WinDef.DWORD` | `dwOSVersionInfoSize` The size of this data structure, in bytes.
`WinDef.DWORD` | `dwPlatformId` The operating system platform.
`char[]` | `szCSDVersion` A null-terminated string, such as "Service Pack 3", that indicates the latest Service Pack installed on the system.
`byte` | `wProductType` Any additional information about the system.
`byte` | `wReserved` Reserved for future use.
`WinDef.WORD` | `wServicePackMajor` The major version number of the latest Service Pack installed on the system.
`WinDef.WORD` | `wServicePackMinor` The minor version number of the latest Service Pack installed on the system.
`WinDef.WORD` | `wSuiteMask` A bit mask that identifies the product suites available on the system.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinNT.OSVERSIONINFOEX()`
`WinNT.OSVERSIONINFOEX(com.sun.jna.Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### dwOSVersionInfoSize

    public WinDef.DWORD dwOSVersionInfoSize

  The size of this data structure, in bytes.

### dwMajorVersion

    public WinDef.DWORD dwMajorVersion

  The major version number of the operating system.

### dwMinorVersion

    public WinDef.DWORD dwMinorVersion

  The minor version number of the operating system.

### dwBuildNumber

    public WinDef.DWORD dwBuildNumber

  The build number of the operating system.

### dwPlatformId

    public WinDef.DWORD dwPlatformId

  The operating system platform. This member can be VER_PLATFORM_WIN32_NT.

### szCSDVersion

    public char[] szCSDVersion

  A null-terminated string, such as "Service Pack 3", that indicates the latest Service Pack installed on the system. If no Service Pack has been installed, the string is empty.

### wServicePackMajor

    public WinDef.WORD wServicePackMajor

  The major version number of the latest Service Pack installed on the system. For example, for Service Pack 3, the major version number is 3. If no Service Pack has been installed, the value is zero.

### wServicePackMinor

    public WinDef.WORD wServicePackMinor

  The minor version number of the latest Service Pack installed on the system. For example, for Service Pack 3, the minor version number is 0.

### wSuiteMask

    public WinDef.WORD wSuiteMask

  A bit mask that identifies the product suites available on the system.

### wProductType

    public byte wProductType

  Any additional information about the system.

### wReserved

    public byte wReserved

  Reserved for future use.

Constructor Detail

### WinNT.OSVERSIONINFOEX

    public WinNT.OSVERSIONINFOEX()

### WinNT.OSVERSIONINFOEX

    public WinNT.OSVERSIONINFOEX(com.sun.jna.Pointer memory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD